%Calcolare la DTFT usando la definizione

%sequence
x=[0 0 1 1 1 1 1 1 1 1 1 0 0 0 0 0];

N = length(x);

% time axis
t=[-2 -1 0 1 2 3 4 5 6 7 8 9 10 11 12 13];

nu=linspace(-0.5,0.5,200);

re = zeros(1,200);
im = zeros(1,200);

%calcolo della sommatoria
for n=1:N
  re=re+x(n)*cos(2*pi*nu*t(n));
  im=im-x(n)*sin(2*pi*nu*t(n));
end

mod = sqrt(re.^2 + im.^2);
ph = atan2(im, re);

figure
subplot(2,1,1)
plot(nu,mod)
xlabel('nu');
ylabel('|X(\nu)|');
title('Plot');
grid on

subplot(2,1,2)
plot(nu,ph)
xlabel('nu');
ylabel('Phase X(\nu)');
title('Plot');
grid on

