clear, clc, close all
fc=100000;
f1=10000;
f2=25000;
f3=13000;
f4=22000;

nu1=f1/fc;
nu2=f2/fc;
nu3=f3/fc;
nu4=f4/fc;

rho=0.90;

B = conv([1 -2*cos(2*pi*nu1) 1],[1 -2*cos(2*pi*nu2) 1]);
A = conv([1 -2*rho*cos(2*pi*nu3) rho^2],[1 -2*rho*cos(2*pi*nu4) rho^2]);

[H W] = freqz(B,A,200);
[h t] = impz(B,A,200);

figure
subplot(2,2,1)
plot(W/(2*pi), abs(H))  % plot magnitude (abscissa in normalized frequency)
subplot(2,2,2)
zplane(B,A)
subplot(2,2,3)
plot(W/(2*pi), angle (H)) % plot phase (abscissa in normalized frequency)
subplot(2,2,4)
stem(t,h)
