clear, clc, close all
fc=8000;  % sampling frequency
f1=800;
f2=1000;

nu1=f1/fc;
nu2=f2/fc;


b_use_hamming = 0;
b_use_hanning = 0;
b_use_bartlett = 1;

N=201;  %window length (odd number)
M=(N-1)/2;
n_vct = 0:N-1;

h=zeros(1,N)
i_n = 1
for n=n_vct
  h(i_n)= 2*nu2*sinc(2*nu2*(n-M))-2*nu1*sinc(2*nu1*(n-M));
  i_n = i_n + 1;
end

if (b_use_hamming)
  h = h .* hamming(N)';

  figure
  stem(n_vct, hamming(N));
  ylabel('Hamming Window')
  xlabel('n')
  title(['Hamming window N=' num2str(N)])
end

if (b_use_hanning)
  h = h .* hanning(N)';

  figure
  stem(n_vct, hanning(N));
  ylabel('Hanning Window')
  xlabel('n')
  title(['Hanning window N=' num2str(N)])

end


if (b_use_bartlett)
  h = h .* bartlett(N)';

  figure
  stem(n_vct, bartlett(N));
  ylabel('Bartlett Window')
  xlabel('n')
  title(['Bartlett window N=' num2str(N)])
end

%h=[]
%for n=1:N-1
%  h= [h 2*nu2*sinc(2*nu2*(n-M))-2*nu1*sinc(2*nu1*(n-M))];
%end


figure
stem(n_vct,h);
ylabel('impulse response')
xlabel('n')
title(['h[n] - N=' num2str(N)])

B=h;
A=[1];
[H W]=freqz(B,A,200);

figure
subplot(2,1,1)
plot(W/(2*pi), abs(H))  % plot magnitude (abscissa in normalized frequency)
ylabel('magnitude')
xlabel('\nu')
title(['|H(\nu)| - N=' num2str(N)])
subplot(2,1,2)
plot(W/(2*pi), unwrap(angle(H))) % plot phase (abscissa in normalized frequency)
ylabel('phase')
xlabel('\nu')
title(['Phase H(\nu) - N=' num2str(N)])

